body {
  background-color: black;
  font-family: "Poller One", Arial, Helvetica, sans-serif;
}
.button-container {
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
}
.button {
  z-index: 100000;
  width: 890px;
  height: 91px;
  opacity: 0;
  position: absolute;
  top: 90%;
}
.button-text {
  font-size: 100px;
  color: #ffe81f;
  top: 90%;
  position: absolute;
}
.main-content {
  transform: perspective(300px) rotateX(21deg);
  transform-origin: 50% 100%;
  font-size: 350%;
  height: 50em;
  position: absolute;
  bottom: 0;
  width: 18em;
  margin-left: -8em;
  left: 50%;
  font-weight: bold;
  color: white;
  overflow: hidden;
}
.content-box {
  margin-bottom: 40px;
  line-height: 60px;
  text-align: justify;
  color: #ffe81f;
  font-smooth: auto;
  letter-spacing: 3px;
}
.first-part,
.second-part {
  margin-bottom: 100px;
  text-align: center;
}
.main-content-container {
  animation: starwarsanimation 30s linear 9s;
  animation-iteration-count: infinite;
  position: absolute;
  top: 100%;
  animation-play-state: paused;
}
.button:checked + .button-text {
  color: black;
}
.button:checked ~ .main-content-container {
  animation-play-state: running;
}

@keyframes starwarsanimation {
  0% {
    top: 100%;
  }
  100% {
    top: -100%;
  }
}
